Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Registrations​

Create a new user endpoint aka register a user​

POST https://auvious.video/rtc-api/users/endpoints HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"userEndpointId": "string",
"organizationId": "string",
"keepAliveSeconds": 5,
"serverKeepAliveReminderOn": true
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyRegisterUserEndpointWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKstring
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

"string"

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/users/endpoints \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Destroy an existing user endpoint aka unregister a user​

POST https://auvious.video/rtc-api/users/endpoints/unregister HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"userEndpointId": "string",
"reason": "string",
"organizationId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyUnregisterUserEndpointWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/users/endpoints/unregister \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Sends event to all registered user endpoints​

POST https://auvious.video/rtc-api/users/endpoints/sendEvent HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Returns number of messages sent. Users with 'SERVICE' role need to supply organization id.

Request body​

{
"userId": "string",
"organizationId": "string",
"userEndpointId": "string",
"event": {
"property1": {},
"property2": {}
},
"masks": [
"string"
],
"qos": 0
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySendEventToUserWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKinteger
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/users/endpoints/sendEvent \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Create a new user endpoint aka register a user - ios specific call​

POST https://auvious.video/rtc-api/users/endpoints/register HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"userEndpointId": "string",
"organizationId": "string",
"keepAliveSeconds": 5,
"serverKeepAliveReminderOn": true
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyRegisterUserEndpointWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKRegisterResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"id": "string"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/users/endpoints/register \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Send keepalive for a user endpoint​

POST https://auvious.video/rtc-api/users/endpoints/keepalive HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"userEndpointId": "string",
"organizationId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyKeepUserEndpointAliveWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/users/endpoints/keepalive \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Schemas​

RegisterUserEndpointWebCommand​

{
"userEndpointId": "string",
"organizationId": "string",
"keepAliveSeconds": 5,
"serverKeepAliveReminderOn": true
}

Properties​

NameTypeRequiredRestrictionsDescription
userEndpointIdstringfalsenoneSupply the userEndpointId. Take care so this value is unique, otherwise better leave this empty and let the server produce one. Optional.
organizationIdstringfalsenoneorganization id, required when using a service account
keepAliveSecondsinteger(int32)truenonehow long before this endpoint expires if no keepalive request is sent. Mandatory.
serverKeepAliveReminderOnbooleanfalsenoneif true, then an Event will be sent to the userEndpoint topic, to remind the client to makea keepalive request. Default is false.

UnregisterUserEndpointWebCommand​

{
"userEndpointId": "string",
"reason": "string",
"organizationId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
userEndpointIdstringtruenonenone
reasonstringfalsenonenone
organizationIdstringfalsenonenone

SendEventToUserWebCommand​

{
"userId": "string",
"organizationId": "string",
"userEndpointId": "string",
"event": {
"property1": {},
"property2": {}
},
"masks": [
"string"
],
"qos": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
userIdstringtruenoneuserId of user that will receive the message
organizationIdstringtruenoneOrganization id of user that sends and must match the user's org who will receive the message. Only applicable to internal services, for normal users their jwt organization_id claim will be used, since theycan only send events to users of their own organization
userEndpointIdstringfalsenoneuserEndpointId of user that will receive the message, if not supplied it will be sent to all user endpoints of user with the specified userId.
eventobjecttruenoneevent attributes, at least type and timestamp must be supplied with correct format. Format for type should begin with capital, end with Event, and use came case of at least a noun and a verb denoting what happened on what. Format for timestamp is ISO-8601 instant format e.g. '2011-12-03T10:15:30Z
» additionalPropertiesobjectfalsenoneevent attributes, at least type and timestamp must be supplied with correct format. Format for type should begin with capital, end with Event, and use came case of at least a noun and a verb denoting what happened on what. Format for timestamp is ISO-8601 instant format e.g. '2011-12-03T10:15:30Z
masks[string]falsenonemasks to apply, each item denotes a json path (https://github.com/json-path/JsonPath) syntax which will be applied on the event when stored or logged. By default no masks are applied. The masked fields must be of type string, and it will be replaced by a string of same length but with strings.
qosinteger(int32)falsenoneqos level 0 = best effort, 1 = at least once, other values best effort. Defaults to 0 (best effort)

RegisterResult​

{
"id": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenoneuser endpoint id

KeepUserEndpointAliveWebCommand​

{
"userEndpointId": "string",
"organizationId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
userEndpointIdstringtruenonenone
organizationIdstringfalsenonenone